Package Details: repo-add_and_sign 2016.2-1

Git Clone URL: https://aur.archlinux.org/repo-add_and_sign.git (read-only)
Package Base: repo-add_and_sign
Description: Easily create signed Pacman package repositories.
Upstream URL: http://xyne.archlinux.ca/projects/repo-add_and_sign
Keywords: arch_linux pacman
Licenses: GPL
Submitter: Xyne
Maintainer: Xyne
Last Packager: Xyne
Votes: 3
Popularity: 0.000015
First Submitted: 2012-12-25 09:37
Last Updated: 2016-02-14 06:18

Latest Comments

Xyne commented on 2015-04-29 22:54

@forbobssake
I have added a README to the source directory (and thus the project page).

The error that you get seems to be do to the output filesystem not supporting symlinks. I have included a workaround to copy the files while issuing a warning.

forbobssake commented on 2015-04-21 08:59

just for information I had to do

echo "allow-loopback-pinentry" >> ~/.gnupg/gpg-agent.conf

to get it running, however i'm running into this error no matter what i try to do

==> Creating updated database file '/srv/vstorage/archrepo/packages/wtftest.db.tar.gz'
Traceback (most recent call last):
File "/usr/bin/repo-add_and_sign", line 127, in relink
os.symlink(rel_tgt, path)
FileExistsError: [Errno 17] File exists: 'wtftest.db.tar.gz' -> '/srv/vstorage/archrepo/packages/wtftest.db'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/bin/repo-add_and_sign", line 132, in relink
cur_tgt = os.readlink(path)
OSError: [Errno 22] Invalid argument: '/srv/vstorage/archrepo/packages/wtftest.db'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/bin/repo-add_and_sign", line 418, in <module>
main()
File "/usr/bin/repo-add_and_sign", line 393, in main
relink(db_archive, db_link)
File "/usr/bin/repo-add_and_sign", line 136, in relink
os.symlink(rel_tgt, path)
OSError: [Errno 95] Operation not supported: 'wtftest.db.tar.gz' -> '/srv/vstorage/archrepo/packages/wtftest.db'